package com.bcxin.backend.domain.system.dispatch.requests;

import com.bcxin.backend.domain.system.dispatch.snapshots.DomainValueSnapshot;
import com.bcxin.backend.domain.system.dispatch.snapshots.ValueSnapshot;

public class DomainDispatchRequest extends DispatchRequestAbstract {

    private DomainDispatchRequest(DispatchType dispatchType,
                                  ValueSnapshot valueSnapshot) {
        super(dispatchType, valueSnapshot);
    }

    @Override
    public DispatchType getDispatchType() {
        return super.getDispatchType();
    }

    @Override
    public String getConfigKey() {
        return "domain";
    }

    public static DomainDispatchRequest create(DispatchType dispatchType,
                                               DomainValueSnapshot domainVO) {

        return new DomainDispatchRequest(dispatchType, domainVO);
    }
}
